; DISLIN: Demonstration of 3D COLOUR PLOT / IDL
; Version 1.4, 25.02.2016, Philippe-A. Bourdin, Bourdin@MPS.mpg.de

pro dislin_sample_highlevel_3d_colour

	n = 50
	m = 50

	x = indgen (n) * 2.0 * !PI / (n - 1)
	y = indgen (m) * 2.0 * !PI / (m - 1)

	zmat = fltarr (n, m)
	for i = 0, n-1 do zmat[i,*] = 2 * sin(x[i]) * sin(y)

	title = [ '', '3-D Colour Plot of the Function', '', 'F(X,Y) = 2 * SIN(X) * SIN (Y)' ]
	labels = [ 'X-axis', 'Y-axis', 'Z-axis' ]
	left = 300
	top = 450
	plot_size = [ 2430, 1400 ]

	dislin_page, 'xwin', page_format='da4l', /hardware_font
	dislin_axis, left, top, plot_size, title=title, text_size=50, labels=labels, label_type='horizontal', label_axis='yz', resolution=[n,m]
	dislin_graf, [0,360], [0,360], [-2,2], /exact, /integer, ed=[90,90]
	dislin_plane, zmat
	dislin_end

end

