; DISLIN: Demonstration of CONTOUR PLOT / IDL
; Version 1.4, 26.02.2016, Philippe-A. Bourdin, Bourdin@MPS.mpg.de

pro dislin_sample_highlevel_contour

	n = 50
	m = 50

	xray = indgen (n) * 360. / (n - 1)
	yray = indgen (m) * 360. / (m - 1)
	x = xray * !PI / 180.
	y = yray * !PI / 180.

	zmat = fltarr (n, m)
	for i = 0, n-1 do zmat[i,*] = 2 * sin(x[i]) * sin(y)

	title = [ '', 'Contour Plot of the Function', '', 'F(X,Y) = 2 * SIN(X) * SIN (Y)' ]
	labels = [ 'X-axis', 'Y-axis' ]
	left = 450
	top = 690
	plot_size = [ 1400, 1980 ]

	dislin_page, page_format='da4p', /hardware_font
	dislin_axis, left, top, plot_size, title=title, text_size=50, labels=labels, label_type='horizontal'
	dislin_graf, [0,360], [0,360], /exact, ed=[90,90], en=[1,1]
	dislin_plane, zmat, xray, yray, zs=-2, ze=2, text_size=30, contours=9, no_label=5, /color
	dislin_end

end

