; DISLIN: Demonstration of CURVE with default settings / IDL
; Version 1.4, 27.02.2016, Philippe-A. Bourdin, Bourdin@MPS.mpg.de

pro dislin_sample_highlevel_curve_default

	n = 101
	pi = !PI
	f = pi / 180.
	step = 360. / (n - 1)
	i = indgen (n)
	xray = i * step
	x = xray * f
	y1ray = sin (x)
	y2ray = cos (x)

	title = [ 'Demonstration of CURVE', '', 'SIN (X), COS (X)' ]
	labels = [ 'X-axis', 'Y-axis' ]
	left = 495
	top = 400
	plot_size = [ 1980, 1400 ]

	dislin_page, 'xwin', page_format='da4l'
	dislin_axis, left, top, plot_size, title=title, text_size=50
	dislin_graf, [0,360], [-1,1], /exact, ed=90
	dislin_curve, xray, y1ray, color='full_red'
	dislin_curve, xray, y2ray, color='full_green'
	dislin_end

end

