; DISLIN: Demonstration of 3D COLOUR PLOT / IDL
; Version 1.0, 24.07.2012, Philippe-A. Bourdin, Bourdin@MPS.mpg.de

pro dislin_sample_3d_colour

	ctit1 = '3-D Colour Plot of the Function'
	ctit2 = 'F(X,Y) = 2 * SIN(X) * SIN (Y)'

	n = 50
	m = 50

	x = indgen (n) * 2.0 * !PI / (n - 1)
	y = indgen (m) * 2.0 * !PI / (m - 1)

	zmat = fltarr (n, m)
	for i = 0, n-1 do zmat[i,*] = 2 * sin(x[i]) * sin(y)

	dislin, 'scrmod', 'revers'
	dislin, 'setpag', 'da4l'
	dislin, 'metafl', 'xwin'
	dislin, 'disini'
	dislin, 'pagera'
	dislin, 'complx'

	dislin, 'titlin', ctit1, 2
	dislin, 'titlin', ctit2, 4

	dislin, 'name', 'X-axis', 'X'
	dislin, 'name', 'Y-axis', 'Y'
	dislin, 'name', 'Z-axis', 'Z'

	dislin, 'intax'
	dislin, 'autres', n, m
	dislin, 'axspos', 300, 1850
	dislin, 'ax3len', 2200, 1400, 1400

	dislin, 'graf3', 0., 360., 0., 90., 0., 360., 0., 90., -2., 2., -2., 1.
	dislin, 'crvmat', zmat, n, m, 1, 1
	dislin, 'height', 50
	dislin, 'title'
	dislin, 'disfin'

end

