; DISLIN: Demonstration of SHADED CONTOUR PLOT / IDL
; Version 1.0, 24.07.2012, Philippe-A. Bourdin, Bourdin@MPS.mpg.de

pro dislin_sample_shaded_contour

	ctit1 = 'Shaded Contour Plot'
	ctit2 = 'F(X,Y) = (X[2$ - 1)[2$ + (Y[2$ - 1)[2$'

	n = 50
	m = 50
	nlev = 12

	xray = indgen (n) * 1.6 / (n - 1)
	yray = indgen (m) * 1.6 / (m - 1)
	x = xray^2 - 1.
	y = yray^2 - 1.

	zlev = 0.1 + ((nlev - 1) - indgen (nlev)) * 0.1

	zmat = fltarr (n, m)
	for i = 0, n-1 do zmat[i,*] = x[i]^2 + y^2

	dislin, 'scrmod', 'revers'
	dislin, 'metafl', 'cons'
	dislin, 'setpag', 'da4p'

	dislin, 'disini'
	dislin, 'pagera'
	dislin, 'complx'
	dislin, 'mixalf'

	dislin, 'titlin', ctit1, 1
	dislin, 'titlin', ctit2, 3

	dislin, 'name', 'X-axis', 'X'
	dislin, 'name', 'Y-axis', 'Y'

	dislin, 'shdmod', 'poly', 'contur'
	dislin, 'axspos', 450, 2670
	dislin, 'graf', 0., 1.6, 0., 0.2, 0., 1.6, 0., 0.2

	dislin, 'conshd', xray, n, yray, m, zmat, zlev, nlev

	dislin, 'height', 50
	dislin, 'title'
	dislin, 'disfin'

end

